Bug 1282489 - [abrt] plasma-systemsettings: systemsettings5 killed by SIGSEGV
[abrt] plasma-systemsettings: systemsettings5 killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plasma-systemsettings (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:729f78ad3591459e61ca0beff16...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-16 10:19 EST by xvr
Modified: 2016-12-20 10:59 EST (History)
28 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:59:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (27.63 KB, text/plain)
2015-11-16 10:19 EST, xvr
no flags Details
File: cgroup (284 bytes, text/plain)
2015-11-16 10:19 EST, xvr
no flags Details
File: core_backtrace (2.32 KB, text/plain)
2015-11-16 10:19 EST, xvr
no flags Details
File: dso_list (19.29 KB, text/plain)
2015-11-16 10:19 EST, xvr
no flags Details
File: environ (1.84 KB, text/plain)
2015-11-16 10:19 EST, xvr
no flags Details
File: exploitable (153 bytes, text/plain)
2015-11-16 10:19 EST, xvr
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-16 10:19 EST, xvr
no flags Details
File: maps (80.98 KB, text/plain)
2015-11-16 10:19 EST, xvr
no flags Details
File: mountinfo (3.57 KB, text/plain)
2015-11-16 10:19 EST, xvr
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-16 10:19 EST, xvr
no flags Details
File: open_fds (1017 bytes, text/plain)
2015-11-16 10:19 EST, xvr
no flags Details
File: proc_pid_status (1014 bytes, text/plain)
2015-11-16 10:19 EST, xvr
no flags Details
File: var_log_messages (311 bytes, text/plain)
2015-11-16 10:20 EST, xvr
no flags Details

  None (edit)
Description xvr 2015-11-16 10:19:36 EST
Description of problem:
Exit systemsettings5, even without doing anything

Version-Release number of selected component:
plasma-systemsettings-5.4.3-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 3
cmdline:        /usr/bin/systemsettings5
executable:     /usr/bin/systemsettings5
global_pid:     3171
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ??
 #1 QObject::disconnect at kernel/qobject.cpp:2932
 #2 KParts::PartManager::~PartManager at ../../src/partmanager.cpp:136
 #4 QObjectPrivate::deleteChildren at kernel/qobject.cpp:1946
 #5 QObject::~QObject at kernel/qobject.cpp:1024
 #6 KHTMLPart::~KHTMLPart at ../../src/khtml_part.cpp:559
 #8 QObject::event at kernel/qobject.cpp:1230
 #9 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:3716
 #10 QApplication::notify at kernel/qapplication.cpp:3499
 #11 QCoreApplication::notifyInternal at kernel/qcoreapplication.cpp:965
Comment 1 xvr 2015-11-16 10:19:42 EST
Created attachment 1094962 [details]
File: backtrace
Comment 2 xvr 2015-11-16 10:19:43 EST
Created attachment 1094963 [details]
File: cgroup
Comment 3 xvr 2015-11-16 10:19:45 EST
Created attachment 1094964 [details]
File: core_backtrace
Comment 4 xvr 2015-11-16 10:19:47 EST
Created attachment 1094965 [details]
File: dso_list
Comment 5 xvr 2015-11-16 10:19:48 EST
Created attachment 1094966 [details]
File: environ
Comment 6 xvr 2015-11-16 10:19:50 EST
Created attachment 1094967 [details]
File: exploitable
Comment 7 xvr 2015-11-16 10:19:51 EST
Created attachment 1094968 [details]
File: limits
Comment 8 xvr 2015-11-16 10:19:54 EST
Created attachment 1094969 [details]
File: maps
Comment 9 xvr 2015-11-16 10:19:55 EST
Created attachment 1094970 [details]
File: mountinfo
Comment 10 xvr 2015-11-16 10:19:57 EST
Created attachment 1094971 [details]
File: namespaces
Comment 11 xvr 2015-11-16 10:19:58 EST
Created attachment 1094972 [details]
File: open_fds
Comment 12 xvr 2015-11-16 10:19:59 EST
Created attachment 1094973 [details]
File: proc_pid_status
Comment 13 xvr 2015-11-16 10:20:01 EST
Created attachment 1094974 [details]
File: var_log_messages
Comment 14 Abhimanyu Dhiman 2015-11-27 05:28:35 EST
Another user experienced a similar problem:

Quit systemsettings5 after configuring Systemd

reporter:       libreport-2.6.3
backtrace_rating: 3
cmdline:        /bin/systemsettings5
executable:     /usr/bin/systemsettings5
global_pid:     3987
kernel:         4.2.6-300.fc23.x86_64
package:        plasma-systemsettings-5.4.3-1.fc23
reason:         systemsettings5 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Joachim 2016-01-06 13:16:11 EST
This bug occurs _only_ but reproducibly after opening the 'mouse' section in System Settings (5.4.3.1.fc22.i686) and leaving the progam subsequently.

Application: Systemeinstellungen (systemsettings5), signal: Segmentation fault
Using host libthread_db library "/lib/libthread_db.so.1".
[Current thread is 1 (Thread 0xb23d4780 (LWP 2371))]

Thread 2 (Thread 0xb1d4ab40 (LWP 2372)):
#0  0xffffffff in __kernel_vsyscall ()
#1  0xffffffff in poll () at /lib/libc.so.6
#2  0xffffffff in _xcb_conn_wait () at /lib/libxcb.so.1
#3  0xffffffff in xcb_wait_for_event () at /lib/libxcb.so.1
#4  0xffffffff in QXcbEventReader::run() () at /lib/libQt5XcbQpa.so.5
#5  0xffffffff in QThreadPrivate::start(void*) () at /lib/libQt5Core.so.5
#6  0xffffffff in start_thread () at /lib/libpthread.so.0
#7  0xffffffff in clone () at /lib/libc.so.6

Thread 1 (Thread 0xb23d4780 (LWP 2371)):
[KCrash Handler]
#6  0x00656361 in  ()
#7  0xffffffff in QObject::disconnect(QObject const*, char const*, QObject const*, char const*) () at /lib/libQt5Core.so.5
#8  0xffffffff in KParts::PartManager::~PartManager() () at /lib/libKF5Parts.so.5
#9  0xffffffff in KParts::PartManager::~PartManager() () at /lib/libKF5Parts.so.5
#10 0xffffffff in QObjectPrivate::deleteChildren() () at /lib/libQt5Core.so.5
#11 0xffffffff in QObject::~QObject() () at /lib/libQt5Core.so.5
#12 0xffffffff in KParts::Part::~Part() () at /lib/libKF5Parts.so.5
#13 0xffffffff in KParts::ReadOnlyPart::~ReadOnlyPart() () at /lib/libKF5Parts.so.5
#14 0xffffffff in KHTMLPart::~KHTMLPart() () at /lib/libKF5KHtml.so.5
#15 0xffffffff in KHTMLPart::~KHTMLPart() () at /lib/libKF5KHtml.so.5
#16 0xffffffff in qDeleteInEventHandler(QObject*) () at /lib/libQt5Core.so.5
#17 0xffffffff in QObject::event(QEvent*) () at /lib/libQt5Core.so.5
#18 0xffffffff in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /lib/libQt5Widgets.so.5
#19 0xffffffff in QApplication::notify(QObject*, QEvent*) () at /lib/libQt5Widgets.so.5
#20 0xffffffff in QCoreApplication::notifyInternal(QObject*, QEvent*) () at /lib/libQt5Core.so.5
#21 0xffffffff in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () at /lib/libQt5Core.so.5
#22 0xffffffff in QCoreApplication::sendPostedEvents(QObject*, int) () at /lib/libQt5Core.so.5
#23 0xffffffff in postEventSourceDispatch(_GSource*, int (*)(void*), void*) () at /lib/libQt5Core.so.5
#24 0xffffffff in g_main_context_dispatch () at /lib/libglib-2.0.so.0
#25 0xffffffff in g_main_context_iterate.isra () at /lib/libglib-2.0.so.0
#26 0xffffffff in g_main_context_iteration () at /lib/libglib-2.0.so.0
#27 0xffffffff in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib/libQt5Core.so.5
#28 0xffffffff in QPAEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib/libQt5XcbQpa.so.5
#29 0xffffffff in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib/libQt5Core.so.5
#30 0xffffffff in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib/libQt5Core.so.5
#31 0xffffffff in QCoreApplication::exec() () at /lib/libQt5Core.so.5
#32 0xffffffff in QGuiApplication::exec() () at /lib/libQt5Gui.so.5
#33 0xffffffff in QApplication::exec() () at /lib/libQt5Widgets.so.5
#34 0x08054108 in main ()
Comment 16 Fedora End Of Life 2016-11-24 08:29:24 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 10:59:01 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.